Name:           python-scripttest
Version:        1.0.4
Release:        %mkrel 1
Summary:        Helper to test command-line scripts

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/ScriptTest/
Source0:        http://pypi.python.org/packages/source/S/ScriptTest/ScriptTest-%{version}.tar.gz
# Issue preventing build and usage on ext4.
# Patch sent to upstream http://bitbucket.org/ianb/scripttest/issue/8
Patch0:         python-scripttest-1.0.4-files_updated.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-sphinx
BuildRequires: python-nose

%description
ScriptTest is a library to help you test your interactive 
command-line applications.

With it you can easily run the command (in a subprocess) and see 
the output (stdout, stderr) and any file modifications.

%prep
%setup -q -n ScriptTest-%{version}
%patch0 -p1 -b .files_updated


%build
%{__python} setup.py build

# generate docs
PYTHONPATH=./build/lib:$PYTHONPATH ./regen-docs
rm docs/_build/objects.inv
rm -rf docs/_build/.doctrees 
rm docs/_build/.buildinfo 
mv docs/_build docs/html


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%check
./test


%files
%defattr(-,root,root,-)
%doc docs/html
%doc docs/license.txt
%{python_sitelib}/scripttest/
%{python_sitelib}/ScriptTest*.egg-info



%changelog

* Fri Feb 22 2013 kharec <kharec> 1.0.4-1.mga3
+ Revision: 399883
- imported package python-scripttest

